<?php

declare(strict_types=1);

namespace Drupal\sms_test_gateway\Plugin\SmsGateway;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\sms\Attribute\SmsGateway;
use Drupal\sms\Message\SmsMessageInterface;
use Drupal\sms\Message\SmsMessageResultInterface;
use Drupal\sms\Plugin\SmsGatewayPluginBase;

/**
 * A gateway for testing undefined capability annotation values.
 *
 * This gateway does not provide any annotation values other than required
 * properties: 'id' and 'label'.
 */
#[SmsGateway(
  id: 'capabilities_default',
  label: new TranslatableMarkup('Default annotation capabilities'),
)]
final class DefaultCapabilities extends SmsGatewayPluginBase {

  public function send(SmsMessageInterface $sms): SmsMessageResultInterface {
    throw new \LogicException('No-op');
  }

}
